Bug 185576 - Review Request: dumb - IT, XM, S3M and MOD player library
Review Request: dumb - IT, XM, S3M and MOD player library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-15 17:00 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-16 14:56:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
improved specfile (1.86 KB, text/plain)
2006-03-16 06:05 EST, Hans de Goede
no flags Details
improved specfile (1.87 KB, text/plain)
2006-03-16 12:22 EST, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2006-03-15 17:00:13 EST
Spec Name or Url: http://home.zonnet.nl/jwrdegoede/dumb.spec
SRPM Name or Url: http://home.zonnet.nl/jwrdegoede/dumb-0.9.3-1.src.rpm
Description:
IT, XM, S3M and MOD player library. Mainly targeted for use with the allegro
game programming library, but it can be used without allegro. Faithful to the
original trackers, especially IT.
Comment 1 Hans de Goede 2006-03-15 17:01:59 EST
Michael,

As usual this is a very often used allegro addon lib used by quite a few games
I'm planning on packaging. Thanks in advance!

Comment 2 Wart 2006-03-15 19:08:55 EST
Looks like Jason beat me to it.  :)
Comment 3 Jason Tibbitts 2006-03-15 19:53:22 EST
This package has an incredibly poor license.  What's the point of stating a
bunch of meaningless conditions and then specifying that you can ignore them if
it makes the package GPL incompatible?  In any case, it's clear that the package
is explicitly GPL-compatible, and it's pointless to try to come up with any
other statement of the license.  So "GPL-Compatible" seems reasonable, although
"Dumb license" is tempting.

One question:
Why are readme.txt and release.txt part of the -devel package?  They seem to
contain useful end-user info, and so it seems to me as if they should be in the
main package.  There are a couple of other files under docs that could probably
be considered to be non-developer documentation as well (modplug.txt, faq.txt).

rpmlint only complains about the license:

W: dumb invalid-license GPL-Compatible
W: dumb-devel invalid-license GPL-Compatible

MUSTs:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, and uses macros consistently.
* license field matches the license, as it is.
* license is open source-compatible and included as %doc.
* source files match upstream:
   3e345d643060880bab7c574774c4b35b  dumb-0.9.3-autotools.tar.gz
   3e345d643060880bab7c574774c4b35b  dumb-0.9.3-autotools.tar.gz-srpm
   f48da5b990aa8aa822d3b6a951baf5c2  dumb-0.9.3.tar.gz
   f48da5b990aa8aa822d3b6a951baf5c2  dumb-0.9.3.tar.gz-srpm
* package builds in mock on x86_64 and i386.
* BuildRequires are proper.
* shared libraries are present; ldconfig is called as necessary.
* package is not relocatable.
* package does not create any directories.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in a -devel package.
* no pkgconfig files.
* unversioned shared library links are in the -devel package.
* -devel package has a versioned dependency on the base package.
* no libtool .la droppings.
* not a GUI app.
* Package owns no files that are owned by other packages.

Just the issue of the readme.txt and release.txt to discuss.
Comment 4 Hans de Goede 2006-03-16 05:57:25 EST
About readme.txt, a quote from the Introduction part of it:
"This file will help you get DUMB set up. If you have not yet done so, please
read licence.txt and release.txt before proceeding. After you've got DUMB set
up, please refer to the files in the docs/ directory at your convenience. I
recommend you start with howto.txt."

And then it continues on howto compile under Windows, Linux, etc. I guees I
should have completly ommited it, atleats that is what I would like to suggest
now. But imho this is most defenitly not end user documentation

About release.txt this is basicly a changelog and indeed belongs in the main
package.

About modplug.txt this is written with mod-file creators as intended audience
and warns them tio shy away from non IT compatible modplug extensions, I don't
know where this belongs, its basicly a polite rant against modplug, maybe we
shouldn't include it at all?

About faq.txt 95% of the questions in here are about using the library in other
programs. The one question which is not once more is intended for mod-file
creators and is again about modplug IT incompatibilities.

So I suggest for the docs:
-drop readme.txt
-mv release.txt to the main package
-drop modplug.txt
-leave faq.txt in the -devel package

I'll attach a new spec with these changes (sorry no upload to my isp hosted page
from work).
Comment 5 Hans de Goede 2006-03-16 06:05:01 EST
Created attachment 126213 [details]
improved specfile
Comment 6 Jason Tibbitts 2006-03-16 11:13:17 EST
The thing about readme.txt is that it also has a feature list and info about
where to get music that it can play as well as a bunch of developer
documentation.  It's also the only documentation for the three executables which
are included with the main package.

We'll have to accept that there isn't a proper separation of user and developer
documentation for this package, but if there's one file that actually describes
what on earth the software does, it's readme.txt.

If the intent of the package isn't to supply the three executables, perhaps it
would also be reasonable to drop them and rename the package to "libdumb".
Comment 7 Hans de Goede 2006-03-16 12:22:08 EST
Created attachment 126233 [details]
improved specfile

Ok, I see your point, readme.txt added to the main package as requested, see
the attached new specfile.
Comment 8 Jason Tibbitts 2006-03-16 13:18:12 EST
Cool.  Approved.
Comment 9 Hans de Goede 2006-03-16 14:56:42 EST
Thanks, imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.